[viewBag]

[Ims\Shophelper\Components\ProductList ProductList]
sorting = "no"

[Pagination]
count_per_page = 12
pagination_limit = 8
active_class = "_act"
button_list = "prev,main,next"
first_button_name = "First"
first_button_limit = 3
first-more_button_name = "..."
first-more_button_limit = 1
prev_button_name = "Prev"
prev_button_limit = 1
prev-more_button_name = "..."
prev-more_button_limit = 1
next-more_button_name = "..."
next-more_button_limit = 1
next_button_name = "Next"
next_button_limit = 1
last-more_button_name = "..."
last-more_button_limit = 1
last_button_name = "Last"
last_button_limit = 3

[localePicker]
forceUrl = 0

[CartHelper]
debug = 0
category_filters = 0
==
{% if pagination == 1 %}
	{# Get array with pagination buttons #}
	{#{% set iPage = Pagination.getPageFromRequest() %}#}
	{% set iPage = page %}
	
	{% set obProductCount = obProductList.count() %}
	
	{# Apply pagination to product collection and get array with product items #}
	{% set obProductList = obProductList.page(iPage, Pagination.getCountPerPage()) %}
	
{% endif%}

<div class="ps-shopping__content">
	<div class="row">
		{#
		<div class="col-md-12">
			<div class="ps-filter--shopping">
			#}
		<div class="col-4 col-xs-4">
			<div class="ps-filter--shopping fl-left">
            	<p>{{ obProductCount }} {{'Risultati'|_}}</p>
                {#
                <a class="ps-filter__trigger" href="#"></a>
                <div class="form-group__content">
                    <form class="form" onchange="changeSorting()">
						<select name="sorting" id="sorting-options" class="form-control">
							<option value="new">{{'Ultimi arrivi'|_}}</option>
							<option value="price|asc">{{'Prezzo crescente'|_}}</option>
							<option value="price|desc">{{'Prezzo decrescente'|_}}</option>
						</select>
					</form>
                </div>
                #}
            </div>
		</div>
	</div>
    <div class="row">
		{% for obProduct in obProductList %}
			{% if not(109 in obProduct.category_id or 109 in obProduct.additional_category_id or 110 in obProduct.category_id or 110 in obProduct.additional_category_id) %}
				{% set obOffer = obProduct.offer.first() %}
				{% if obOffer.price == 0 %}
					{% set obOffer = obProduct.offer.last() %}
				{% endif %}
				<div class="col-xl-4 col-lg-4 col-md-4 col-sm-6 col-12 ">
					<div class="ps-product">
						<div class="ps-product__thumbnail">
							<a class="ps-product__img" href="{{ activeLocale == 'it' ? '/it/prodotto' : '/en/product'}}/{{obProduct.slug}}"><img src="{{ obProduct.preview_image.path|resize(323,{mode:'exact'}) }}" alt="" /></a>
							{% if obProduct.getObject().back_preview.path %}
								<a class="ps-product__img-alt" href="{{ activeLocale == 'it' ? '/it/prodotto' : '/en/product'}}/{{obProduct.slug}}"><img src="{{ obProduct.getObject().back_preview.path|resize(323,{mode:'exact'}) }}" alt="" /></a>
							{% else %}
								<a class="ps-product__img-alt" href="{{ activeLocale == 'it' ? '/it/prodotto' : '/en/product'}}/{{obProduct.slug}}"><img src="{{ obProduct.preview_image.path|resize(323,{mode:'exact'}) }}" alt="" /></a>
							{% endif %}
						</div>
						<div class="ps-product__content">
	                        <div class="ps-product__meta">
	                            <a href="{{ activeLocale == 'it' ? '/it/prodotto' : '/en/product'}}/{{obProduct.slug}}"></a>
	                        </div>
	                        <a class="ps-product__title" href="{{ activeLocale == 'it' ? '/it/prodotto' : '/en/product'}}/{{obProduct.slug}}">{{obProduct.name}}</a>
	                        {#
	                        <p class="ps-product__price"> $85.00</p>
	                        #}
	                        {% if obOffer.old_price_value > 0 %}
								<p class="ps-product__price sale"> <del>{{ obOffer.currency }} {{ obOffer.old_price }}</del>{{ obOffer.currency }} {{obOffer.price}}</p>
							{% elseif arCouponDiscount > 0 %}
								{% set obCouponDiscount = obOffer.price * arCouponDiscount/100 %}
								<p class="ps-product__price"> <del>{{ obOffer.currency }} {{ obOffer.price|priceformat }}</del>{{ obOffer.currency }} {{ (obOffer.price-obCouponDiscount)|priceformat }}</p>
							{% else %}
								<p class="ps-product__price">{{ obOffer.currency }}{{obOffer.price}}</p>
				            {% endif %}
	                    </div>
					</div>
				</div>
			{% endif %}
		{% endfor %}
	</div>
</div>
{% partial 'pagination'  %}

<script>
	/*
	 * Script per la paginazione: inibisce il link del tag a e fa partire l'ajax per non ricaricare tutta la pagina quando si ci sposta su quella succ. o prec.
	 * Inoltre passa direttamente l'ultima productList esposta del plugin alla partial di update, poichè in caso di filtro applicato perderebbe i prodotti filtrati sul cambio pagina 
	 */
	$(document).on('click', `.page-link`, (e) => {
		e.preventDefault();
		e.stopPropagation();
		const button = $(e.currentTarget),
			page = button.attr('data-page');
		
		if (button.parent('li').hasClass('.active')) {
			return;
		}
		
		$.request('onSearchPagination', {
			//update: {'productListUpdate': `.prod-list`},
			data: {pageCost: page, pagination: 1},
		  	loading: $.oc.stripeLoadIndicator,
		  	// le righe che seguono servono per abilitare il flashmessage utile per debug
		  	flash: 1,
		    handleFlashMessage: function(message, type) {
		        $.oc.flashMsg({ text: message, class: type })
		    },
		    //success: function(data) { console.log(data); }, 
		  	// invece di aggiornare una partial con questa istruzione si può leggere il valore
		  	complete: function() { 
		  		console.log('dentro');
		  		//$('html, body').animate({scrollTop: '0px'}, 300);
		  		/*
		  		try{ $('#menu_inner').lightGallery(); $('#menu_inner').data('lightGallery').destroy(true); }catch(ex){};
		  		$('#menu_inner').lightGallery({
				    thumbnail:true,
				    selector: "a"
				});*/
		  	},
		});
	});
	
</script>